package com.zhyc.module.biosafety.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhyc.module.biosafety.mapper.QuarantineSampleMapper;
import com.zhyc.module.biosafety.domain.QuarantineSample;
import com.zhyc.module.biosafety.service.IQuarantineSampleService;

/**
 * 样品类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-14
 */
@Service
public class QuarantineSampleServiceImpl implements IQuarantineSampleService 
{
    @Autowired
    private QuarantineSampleMapper quarantineSampleMapper;

    /**
     * 查询样品类型
     * 
     * @param id 样品类型主键
     * @return 样品类型
     */
    @Override
    public QuarantineSample selectQuarantineSampleById(Long id)
    {
        return quarantineSampleMapper.selectQuarantineSampleById(id);
    }

    /**
     * 查询样品类型列表
     * 
     * @param quarantineSample 样品类型
     * @return 样品类型
     */
    @Override
    public List<QuarantineSample> selectQuarantineSampleList(QuarantineSample quarantineSample)
    {
        return quarantineSampleMapper.selectQuarantineSampleList(quarantineSample);
    }

    /**
     * 新增样品类型
     * 
     * @param quarantineSample 样品类型
     * @return 结果
     */
    @Override
    public int insertQuarantineSample(QuarantineSample quarantineSample)
    {
        return quarantineSampleMapper.insertQuarantineSample(quarantineSample);
    }

    /**
     * 修改样品类型
     * 
     * @param quarantineSample 样品类型
     * @return 结果
     */
    @Override
    public int updateQuarantineSample(QuarantineSample quarantineSample)
    {
        return quarantineSampleMapper.updateQuarantineSample(quarantineSample);
    }

    /**
     * 批量删除样品类型
     * 
     * @param ids 需要删除的样品类型主键
     * @return 结果
     */
    @Override
    public int deleteQuarantineSampleByIds(Long[] ids)
    {
        return quarantineSampleMapper.deleteQuarantineSampleByIds(ids);
    }

    /**
     * 删除样品类型信息
     * 
     * @param id 样品类型主键
     * @return 结果
     */
    @Override
    public int deleteQuarantineSampleById(Long id)
    {
        return quarantineSampleMapper.deleteQuarantineSampleById(id);
    }
}
